# sitelib for noarch packages
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           yagtd
Version:        0.3.3
Release:        3%{?dist}
Summary:        Yet Another Getting Things Done

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://gna.org/projects/yagtd/
Source0:        http://download.gna.org/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch 
BuildRequires:  python-devel

%description
yaGTD is a very simple utility designed to make the management of your to-do
list quick and easy.It incorporates major features from Allen's Getting
Things Done philosophy and notion of urgency and importance preached by 
Stephen Covey.

%package doc

Summary: Documentation for yagtd
Group: Documentation

%description doc
Documentation for yagtd

%prep
%setup -q

#convert files in utf8
for f in ./ChangeLog ./LISEZMOI ./LICENCE ./NEWS
do
  iconv -f iso-8859-1 -t utf-8 $f |sed 's|\r||g' > $f.utf8
  touch -c -r $f $f.utf8
  mv $f.utf8 $f
done


%build
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_docdir}

# python scripts need executable permission
chmod +x $RPM_BUILD_ROOT%{python_sitelib}/%{name}.py
chmod +x $RPM_BUILD_ROOT%{python_sitelib}/gtd.py
mv  $RPM_BUILD_ROOT%{_bindir}/%{name}.py $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-) 
%doc README COPYING LICENCE NEWS PKG-INFO ChangeLog AUTHORS
%lang(fr) %doc LISEZMOI
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{python_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc doc/default.css doc/yagtd.html doc/%{name}*.png

%changelog
*Mon Jun 28 2010 Fabian Kanngießer <fabian.kanngiesser@yahoo.de> - 0.3.3-3
- Rename Binary
*Sun Jun 27 2010 Fabian Kanngießer <fabian.kanngiesser@yahoo.de> - 0.3.3-2
- Created a seperate doc rpm to store the big png files and html manual
* Fri Jun 25 2010 Fabian Kanngießer <fabian.kanngiesser@yahoo.de> - 0.3.3-1
- Updated to version 0.3.3
* Sun Nov 29 2009 Fabian Kanngießer <fabian.kanngiesser@yahoo.de> - 0.3.0-1
- Initial package incl. some corrections (from a friend, for a friend)

